Uploaded image for project: 'OpenSAML 1 - C++'
  1. OpenSAML 1 - C++
  2. CPPOS-1

OpenSAML doesn't compile under GCC 4.3.0

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 1.1.1
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Environment:
      GCC 4.3.0, Fedora 9 beta
    • Operating System:
      Linux
    • CPU Type:
      Multiple
    • C/C++ Compiler:
      GCC 4.x

      Description

      OpenSAML 1.1.1 fails to compile under gcc-4.3.0 as shipped with Fedora 9 beta. Compilation error in SAMLException.cpp lines 518 and 525:

      error: must #include <typeid> before using typeid

        Attachments

          Activity

            People

            • Assignee:
              cantor.2@osu.edu Scott Cantor
              Reporter:
              ian@iay.org.uk Ian Young
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: